vpGetMaterial(3)

NAME
vpGetMaterial - get material properties

SYNOPSIS
#include <volpack.h>

vpGetMaterial(vpc, material, property, surface_side, r_ptr, g_ptr, b_ptr) vpContext *vpc; int material; int property; int surface_side; double *r_ptr, *g_ptr, *b_ptr;

ARGUMENTS

vpc VolPack context from vpCreateContext.

material
    A constant specifying a particular material number (VP_MATERIAL0, VP_MATERIAL1, ..., VP_MATERIAL5).

property
    A constant specifying one material property (VP_AMBIENT, VP_DIFFUSE, VP_SPECULAR or VP_SHINYNESS).

surface_side
    A constant specifying one side of the material surface (VP_EXTERIOR or VP_INTERIOR).

r_ptr, g_ptr, b_ptr
    Locations to store the RGB components of the color associated with the property. For VP_SHINYNESS, g_ptr and b_ptr are not used.

DESCRIPTION
vpGetMaterial is used to get the properties of a material type. The arguments are exactly analogous to vpSetMaterial except that the surface_side argument may not be VP_BOTH_SIDES, and the final three arguments are pointers to locations for storing the material properties.

ERRORS
The normal return value is VP_OK. The following error return values are possible:

VPERROR_BAD_VALUE
    The material number is invalid.

VPERROR_BAD_OPTION
    Either the surface_side or property arguments are invalid.

SEE ALSO
VolPack(3), vpCreateContext(3), vpSetMaterial(3)